#include "dependency.h"

Dependency::Dependency(
    const std::string& path,
    Type type,
    const std::optional<std::string>& name,
    const std::optional<std::string>& version
):
    path(path),
    type(type),
    name(name),
    version(version)
{}

Dependency::Type Dependency::getType() const {
    return type;
}

std::optional<std::string> Dependency::getName() const {
    return name;
}

std::optional<std::string> Dependency::getVersion() const {
    return version;
}
